X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Firefox 6 doesn't recognise my latest Adobe flash player. It works with IE so I gather its a Firefox only issue.

Posted

Woke up to find my Firefox was updated automatically to Ver 6+. The usual issues arose, with a few plugins not working. The annoying one is the Adobe flash player. I downloaded the latest Flash player and installed Ver 10, however non of my webpages pick up on this. Any Flash content I wish to view (from a webpage) tells me to install the latest Flash player. Have done so 3 times to no avail? Any ideas? NB: Switched on IE and flash worked fine on same websites.

Chosen solution

IE uses a different version of Flash (ActiveX), than most other browsers use - the Plugin version, which is what Firefox needs.

1.Download the Flash setup file from here:
Adobe Flash - Plugin version.
Save it to your Desktop.

2. Close Firefox using File > Exit
then check the Task Manager > Processes tab to make sure firefox.exe is closed,
{XP: Ctrl+Alt+Del, Vista: Shift+Ctrl+ESC = Processes tab}

3. Then run the Flash setup file from your Desktop.

4. Start Firefox and test your installation here: https://www.adobe.com/software/flash/about/

  • On Vista and Windows 7 you may need to run the plugin installer as Administrator by starting the installer via the right-click context menu if you do not get an UAC prompt to ask for permission to continue (i.e nothing seems to happen).

See this:
http://vistasupport.mvps.org/run_as_administrator.htm

Read this answer in context 3

Additional System Details

Installed Plug-ins

  • np-mswmp
  • Adobe PDF Plug-In For Firefox and Netscape "9.4.5"
  • Adobe Shockwave for Director Netscape plug-in, version 11.6.1.629
  • McAfee MSC FF plugin DLL

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.0; rv:6.0.1) Gecko/20100101 Firefox/6.0.1

More Information

the-edmeister
  • Top 10 Contributor
  • Moderator
3197 solutions 24401 answers

Chosen Solution

IE uses a different version of Flash (ActiveX), than most other browsers use - the Plugin version, which is what Firefox needs.

1.Download the Flash setup file from here:
Adobe Flash - Plugin version.
Save it to your Desktop.

2. Close Firefox using File > Exit
then check the Task Manager > Processes tab to make sure firefox.exe is closed,
{XP: Ctrl+Alt+Del, Vista: Shift+Ctrl+ESC = Processes tab}

3. Then run the Flash setup file from your Desktop.

4. Start Firefox and test your installation here: https://www.adobe.com/software/flash/about/

  • On Vista and Windows 7 you may need to run the plugin installer as Administrator by starting the installer via the right-click context menu if you do not get an UAC prompt to ask for permission to continue (i.e nothing seems to happen).

See this:
http://vistasupport.mvps.org/run_as_administrator.htm

Question owner

Yessireeee! That did the trick. Thank You.

Think I fell for the same problem last time. The Firefox version is not highlighted on the Adobe page. You have to seek it out. Anyhow, working fine now.

Seek and ye shall find!